手机浏览 RSS 2.0 订阅 膘叔的简单人生 , 腾讯云RDS购买 | 超便宜Qcloud , 注册 | 登陆

Yii2 released

首页 > PHP >

Yii2 终于released了。发现他的advanced的目录和我现在完全一致。哈哈。。。

不过在测试的时候遇到了这个问题:

XML/HTML代码
  1. composer install  
  2. Loading composer repositories with package information  
  3. Installing dependencies (including require-dev)  
  4. Your requirements could not be resolved to an installable set of packages.  
  5.   
  6.   Problem 1  
  7.     - Installation request for yiisoft/yii2 * -> satisfiable by yiisoft/yii2[2.0.0].  
  8.     - yiisoft/yii2 2.0.0 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.  
  9.   Problem 2  
  10.     - Installation request for yiisoft/yii2-bootstrap * -> satisfiable by yiisoft/yii2-bootstrap[2.0.0].  
  11.     - yiisoft/yii2-bootstrap 2.0.0 requires bower-asset/bootstrap 3.2.* | 3.1.* -> no matching package found.  
  12.   Problem 3  
  13.     - Installation request for yiisoft/yii2-gii * -> satisfiable by yiisoft/yii2-gii[2.0.0].  
  14.     - yiisoft/yii2-gii 2.0.0 requires bower-asset/typeahead.js 0.10.* -> no matching package found.  
  15.   Problem 4  
  16.     - yiisoft/yii2 2.0.0 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.  
  17.     - yiisoft/yii2-faker 2.0.0 requires yiisoft/yii2 * -> satisfiable by yiisoft/yii2[2.0.0].  
  18.     - Installation request for yiisoft/yii2-faker * -> satisfiable by yiisoft/yii2-faker[2.0.0].  
  19.   
  20. Potential causes:  
  21.  - A typo in the package name  
  22.  - The package is not available in a stable-enough version according to your minimum-stability setting  
  23.    see <https://groups.google.com/d/topic/composer-dev/_g3ASeIFlrc/discussion> for more details.  
  24.   
  25. Read <http://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.  

这不是什么大问题,只是安装不上罢了。问题出来哪里呢?看了一下官方的issue,有对它的解释:https://github.com/composer/composer/issues/2873

毕竟,虽然yii2是stable了,但不是所有关联的项目都是stable了。把项目中的:"minimum-stability":"stable"改成 "minimum-stability":"dev"即可

于是:composer install

Loading composer repositories with package information

Installing dependencies (including require-dev)

  - Installing yiisoft/yii2-composer (dev-master 73ad236)

    Cloning 73ad236be1bf7cf4415559a4b592dd5b9cb4b288

-------EOF。




本站采用创作共享版权协议, 要求署名、非商业和保持一致. 本站欢迎任何非商业应用的转载, 但须注明出自"膘叔", 保留原始链接, 此外还必须标注原文标题和链接.

« 上一篇 | 下一篇 »

发表评论

评论内容 (必填):